## org.apache.fop.fo
Class NumberProperty

    java.lang.Object
      |
      +--org.apache.fop.fo.Property
            |
            +--org.apache.fop.fo.NumberProperty

public class NumberProperty
extends Property

Inner Class Summary
`static class` `NumberProperty.Maker`

Inner classes inherited from class org.apache.fop.fo.Property
`Property.Maker`

Constructor Summary
`NumberProperty(double num)`
`NumberProperty(int num)`
`NumberProperty(java.lang.Number num)`

Method Summary
`ColorType` `getColorType()`
`java.lang.Number` `getNumber()`
`Numeric` `getNumeric()`
`java.lang.Object` `getObject()` public Double getDouble() { return new Double(this.number.doubleValue()); } public Integer getInteger() { return new Integer(this.number.intValue()); }

Methods inherited from class org.apache.fop.fo.Property
`getCharacter, getCondLength, getEnum, getKeep, getLength, getLengthRange, getNCname, getSpace, getSpecifiedValue, getString, setSpecifiedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NumberProperty

    public NumberProperty(java.lang.Number num)

### NumberProperty

    public NumberProperty(double num)

### NumberProperty

    public NumberProperty(int num)

Method Detail

### getNumber

    public java.lang.Number getNumber()

  Overrides:
    getNumber in class Property

### getObject

    public java.lang.Object getObject()

  public Double getDouble() { return new Double(this.number.doubleValue()); } public Integer getInteger() { return new Integer(this.number.intValue()); }
  Overrides:
    getObject in class Property

### getNumeric

    public Numeric getNumeric()

  Overrides:
    getNumeric in class Property

### getColorType

    public ColorType getColorType()

  Overrides:
    getColorType in class Property

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.